#!/usr/bin/perl 
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-addiepg.pl,v 1.2 2011/10/31 19:59:53 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-addiepg.pl
#
#        USAGE:  ./dvr2-cancel.pl /TS/FILE item=value ...
#
#  DESCRIPTION:  Add item=value to existing iEPG file for /TS/FILE
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

our $mydir	= dirname $0;
our $myname	= basename $0;
require "$mydir/dvr2-common.pl";

defined($ARGV[0]) || die "$myname: no argument\n";
my $id	= shift @ARGV;
defined($ARGV[0]) || die "$myname: no argument\n";
my %iepg;

foreach (@ARGV) {
	if (/^(.*)=(.*)$/) {
		$iepg{$1} = $2;
	}
}
appendIEPG($id, 'recorded', \%iepg);
